curl -X PATCH "https://api.hitler.app/api/clients/client-uuid-1" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"deployDay": "Wednesday", "contentCadence": 3}'
await api.updateClient("client-uuid-1", {
deployDay: "Wednesday",
contentCadence: 3,
});
{
"id": "client-uuid-1",
"name": "Acme Corp",
"deployDay": "Wednesday",
"contentCadence": 3,
"status": "active",
"createdAt": "2026-03-06T10:00:00.000Z",
"updatedAt": "2026-03-06T12:00:00.000Z"
}
Clients
Update Client
Update client details
PATCH
/
api
/
clients
/
:id
curl -X PATCH "https://api.hitler.app/api/clients/client-uuid-1" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"deployDay": "Wednesday", "contentCadence": 3}'
await api.updateClient("client-uuid-1", {
deployDay: "Wednesday",
contentCadence: 3,
});
{
"id": "client-uuid-1",
"name": "Acme Corp",
"deployDay": "Wednesday",
"contentCadence": 3,
"status": "active",
"createdAt": "2026-03-06T10:00:00.000Z",
"updatedAt": "2026-03-06T12:00:00.000Z"
}
Requires Admin or Manager role.
Path Parameters
string
required
Client UUID
Request Body
All fields are optional.string
Client name (1-200 characters)
string
Deploy day of week
integer
Posts per week (1-10)
string
Status:
active, paused, offboardedcurl -X PATCH "https://api.hitler.app/api/clients/client-uuid-1" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"deployDay": "Wednesday", "contentCadence": 3}'
await api.updateClient("client-uuid-1", {
deployDay: "Wednesday",
contentCadence: 3,
});
{
"id": "client-uuid-1",
"name": "Acme Corp",
"deployDay": "Wednesday",
"contentCadence": 3,
"status": "active",
"createdAt": "2026-03-06T10:00:00.000Z",
"updatedAt": "2026-03-06T12:00:00.000Z"
}